<div class="card">

  <div class="card-body">
    <form class="form" [formGroup]="htmlForm">
      <div class="col-12" style="   max-height:  700px;overflow: auto;" *ngIf="ShowFormBody">

        <!--            title-->
        <div class="form-group">
          <label>عنوان</label>
          <span style="color: #fc5959">*</span>
          <input type="text" class="form-control" formControlName="title"
                 [pattern]="myPattern.TITLEFa"
                 [(ngModel)]="process.title">
          <!--                    <app-alert-error [data]="htmlForm.controls['title']"-->
          <!--                                     [touched]="submitted"></app-alert-error>-->

        </div>

        <div class="form-group">
          <label>توضیحات</label>
          <textarea class="form-control" formControlName="description"
                    [(ngModel)]="process.description"
                    style="min-height: 50px;max-height: 50px"
          ></textarea>

          <!--                    <app-alert-error [data]="htmlForm.controls['description']"-->
          <!--                                     [touched]="submitted"></app-alert-error>-->

        </div>


      </div>
      <!--'Register' : 'Update' btn-->

      <!--'Register' : 'Update' btn!!!!!!!!!-->


    </form>
  </div>
  <div class="card-header">
    <!--        <h3> فرم  {{ form.title }} </h3>-->
    <div class="form-group d-flex justify-content-between">
      <button type="button" (click)="back()" class="btn  btn-warning">
        بازگشت

      </button>
      <button type="submit" (click)="onSubmit()" class="btn btn-success" *ngIf="mode!==actionMode.VIEW">
        {{process.id ? 'ویرایش' : 'ذخیره'}}
        <i class="fa fa-save"></i>

        <i *ngIf="loadingSubmit" class="fa fa-spinner fa-pulse fa-1x"></i>

      </button>

    </div>
  </div>
</div>
